### Method

# FwupdPlugin UdevDevice get_devtype

since: 1.4.5

#### Declaration [src]

    const gchar*
    fu_udev_device_get_devtype (
      FuUdevDevice* self
    )

#### Description [src]

Returns the Udev device type.

Available since: 1.4.5

Gets property | `FwupdPlugin.UdevDevice:devtype`

#### Return value

Type: `const gchar*`

Device type specified in the uevent.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.